- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# GlobExp Struct Reference

`#include <def.h>`

List of all members.

## Public Attributes
char * | fileName
| File name of experiment.
long | nobs
| Number of observed quantities.
long | nvar
| Number of variables/equations.
long | nMeasure
| Number of measured data.
double * | xMeasure
| Temporal data points.
double ** | yMeasure
| Data of the observations.
double ** | sigma
| Standard deviation of data.
double | fitstart
| Fitting range.
double | fitend
long | firstMeasure
| First point in fitting range.
long | lastMeasure
| Last point in fitting range.
long | nPoints
| Number of multiple shooting intervals.
double * | mesh
| Multiple shooting mesh.
double ** | yTry
| Initial guesses at mesh points.
double ** | yTrySave
long | me
| Number of equality constraints.
long | mg
| Number of inequality constraints.
double | objF
| Current value of the objective function.
double ** | yComp
| Predicted trajectory (intergation).
double ** | yPred
| Predicted observables (intergation).
double ** | h
| Discrepancies/deviation form continuous trajectories.
double ** | residues
| Current residues.
double * | r2
| Right-hand side of equality constraints.
double * | r3
| Right-hand side of inequality constraints.
double *** | dyds
| Derivative of the trajectory with respect to intial values inside the multiple shooting interval.
double *** | dydp
| Derivative of the trajectory with respect to parameters inside the multiple shooting interval.
double *** | dmds
| Derivative of the observed quantities with respect to intial values inside the multiple shooting interval.
double *** | dmdp
| Derivative of the observed quantities with respect to parameters inside the multiple shooting interval.
double *** | dR2ds
| Derivative of the equality constraints with respect to intial values inside the multiple shooting interval.
double ** | dR2dp
| Derivative of the equality constraints with respect to parameters.
double *** | dR3ds
| Derivative of the inequality constraints with respect to intial values inside the multiple shooting interval.
double ** | dR3dp
| Derivative of the inequality constraints with respect to parameters.
double * | ua
| Condensation of the least squares.
double ** | Ea
double ** | Pa
double * | ue
| Condensation of the equality constraints.
double ** | Ee
double ** | Pe
double * | ug
| Condensation of the inequality constraints.
double ** | Eg
double ** | Pg
double * | y0
| Initial value.
double * | par
| Parameters.
double ** | dS
double * | dP
string * | splineFile
| Name of spline data-file.
double ** | splineNodes
| Spline nodes.
double ** | splineY
| Value at the spline nodes.
double ** | splineGam
| Second derivative at the spline nodes.
unsigned long * | nNodes
| Number of the spline nodes.
int | splinesDefined
| Flag: TRUE if splines are defined.
double * | errP
double * | errY0

## Detailed Description

Definition at line 13 of file def.h.

## Member Data Documentation

double*** GlobExp::dmdp

| Derivative of the observed quantities with respect to parameters inside the multiple shooting interval. 3-tensor of dimension: Definition at line 130 of file def.h. Referenced by initialise(), and intODE().

double*** GlobExp::dmds

| Derivative of the observed quantities with respect to intial values inside the multiple shooting interval. 3-tensor of dimension: Definition at line 124 of file def.h. Referenced by initialise(), and intODE().

double* GlobExp::dP

| Definition at line 182 of file def.h.

double** GlobExp::dR2dp

| Derivative of the equality constraints with respect to parameters. Matrix of dimension: Definition at line 142 of file def.h. Referenced by initialise().

double*** GlobExp::dR2ds

| Derivative of the equality constraints with respect to intial values inside the multiple shooting interval. 3-tensor of dimension: Definition at line 136 of file def.h. Referenced by initialise().

double** GlobExp::dR3dp

| Derivative of the inequality constraints with respect to parameters. Matrix of dimension: Definition at line 154 of file def.h. Referenced by initialise().

double*** GlobExp::dR3ds

| Derivative of the inequality constraints with respect to intial values inside the multiple shooting interval. 3-tensor of dimension: Definition at line 148 of file def.h. Referenced by initialise().

double** GlobExp::dS

| Definition at line 181 of file def.h. Referenced by decondense().

double*** GlobExp::dydp

| Derivative of the trajectory with respect to parameters inside the multiple shooting interval. 3-tensor of dimension: Definition at line 118 of file def.h. Referenced by initialise(), and intODE().

double*** GlobExp::dyds

| Derivative of the trajectory with respect to intial values inside the multiple shooting interval. 3-tensor of dimension: Definition at line 112 of file def.h. Referenced by initialise(), and intODE().

double ** GlobExp::Ea

| Definition at line 159 of file def.h.

double ** GlobExp::Ee

| Definition at line 164 of file def.h.

double ** GlobExp::Eg

| Definition at line 169 of file def.h.

double* GlobExp::errP

| Definition at line 195 of file def.h. Referenced by initialise().

double* GlobExp::errY0

| Definition at line 196 of file def.h. Referenced by initialise().

char* GlobExp::fileName

| File name of experiment. Definition at line 17 of file def.h. Referenced by readData().

long GlobExp::firstMeasure

| First point in fitting range. Definition at line 48 of file def.h.

double GlobExp::fitend

| Definition at line 46 of file def.h. Referenced by mexFunction(), and setMesh().

double GlobExp::fitstart

| Fitting range. Definition at line 46 of file def.h. Referenced by mexFunction(), and setMesh().

double** GlobExp::h

| Discrepancies/deviation form continuous trajectories. Matrix of dimension: Definition at line 90 of file def.h. Referenced by computeRight(), and initialise().

long GlobExp::lastMeasure

| Last point in fitting range. Definition at line 50 of file def.h.

long GlobExp::me

| Number of equality constraints. Definition at line 68 of file def.h. Referenced by condense(), freeMem(), initialise(), and initValuesOK().

double* GlobExp::mesh

| Multiple shooting mesh. Vector of dimension: Definition at line 61 of file def.h. Referenced by intODE(), setInitialValues(), and setMesh().

long GlobExp::mg

| Number of inequality constraints. Definition at line 70 of file def.h. Referenced by condense(), freeMem(), initialise(), and initValuesOK().

long GlobExp::nMeasure

| Number of measured data. Definition at line 28 of file def.h. Referenced by computeRight(), freeMem(), initialise(), intODE(), objectiveF(), and setInitialValues().

unsigned long* GlobExp::nNodes

| Number of the spline nodes. Definition at line 192 of file def.h. Referenced by mexFunction().

long GlobExp::nobs

| Number of observed quantities. Definition at line 19 of file def.h. Referenced by computeRight(), condense(), freeMem(), initialise(), intODE(), mexFunction(), objectiveF(), outSimit(), readData(), and setInitialValues().

long GlobExp::nPoints

| Number of multiple shooting intervals. Command line argument is -nms and not -nPoints !! Definition at line 56 of file def.h. Referenced by computeRight(), condense(), decondense(), globOpt(), initialise(), intODE(), Norm(), setInitialValues(), setMesh(), and simInit().

long GlobExp::nvar

| Number of variables/equations. Definition at line 24 of file def.h. Referenced by call_odessa(), computeRight(), condense(), decondense(), freeMem(), initialise(), intODE(), mexFunction(), Norm(), outFit(), setInitialValues(), simInit(), solvLin(), and tabulateValues().

double GlobExp::objF

| Current value of the objective function. Definition at line 74 of file def.h.

double ** GlobExp::Pa

| Definition at line 159 of file def.h.

double* GlobExp::par

| Parameters. Vector of dimension: where npar is defined in structure Glob. Definition at line 180 of file def.h. Referenced by initialise(), mexFunction(), and tabulateValues().

double ** GlobExp::Pe

| Definition at line 164 of file def.h.

double ** GlobExp::Pg

| Definition at line 169 of file def.h.

double* GlobExp::r2

| Right-hand side of equality constraints. Vector of dimension: Definition at line 101 of file def.h. Referenced by initialise(), and initValuesOK().

double* GlobExp::r3

| Right-hand side of inequality constraints. Vector of dimension: Definition at line 106 of file def.h. Referenced by initValuesOK().

double** GlobExp::residues

| Current residues. Therefore matrix of dimension: Definition at line 96 of file def.h. Referenced by initialise(), and objectiveF().

double** GlobExp::sigma

| Standard deviation of data. Matrix of dimension: Definition at line 44 of file def.h. Referenced by objectiveF().

string* GlobExp::splineFile

| Name of spline data-file. Definition at line 184 of file def.h.

double** GlobExp::splineGam

| Second derivative at the spline nodes. Definition at line 190 of file def.h. Referenced by mexFunction().

double** GlobExp::splineNodes

| Spline nodes. Definition at line 186 of file def.h. Referenced by mexFunction().

int GlobExp::splinesDefined

| Flag: TRUE if splines are defined. Definition at line 194 of file def.h.

double** GlobExp::splineY

| Value at the spline nodes. Definition at line 188 of file def.h. Referenced by mexFunction().

double* GlobExp::ua

| Condensation of the least squares. Definition at line 159 of file def.h.

double* GlobExp::ue

| Condensation of the equality constraints. Definition at line 164 of file def.h.

double* GlobExp::ug

| Condensation of the inequality constraints. Definition at line 169 of file def.h.

double* GlobExp::xMeasure

| Temporal data points. Vector of dimension: Definition at line 33 of file def.h. Referenced by intODE(), and setInitialValues().

double* GlobExp::y0

| Initial value. Vector of dimension: Definition at line 174 of file def.h. Referenced by mexFunction(), and simInit().

double** GlobExp::yComp

| Predicted trajectory (intergation). Matrix of dimension: Definition at line 79 of file def.h. Referenced by initialise().

double** GlobExp::yMeasure

| Data of the observations. Matrix of dimension: Definition at line 39 of file def.h. Referenced by setInitialValues().

double** GlobExp::yPred

| Predicted observables (intergation). Matrix of dimension: Definition at line 84 of file def.h. Referenced by initialise().

double** GlobExp::yTry

| Initial guesses at mesh points. Matrix of dimension: Definition at line 66 of file def.h. Referenced by fitness(), initialise(), setInitialValues(), and simInit().

double ** GlobExp::yTrySave

| Definition at line 66 of file def.h. Referenced by initialise().

The documentation for this struct was generated from the following file:

- /home/peifer/diffit/def.h